JUCE: OnlineUnlockStatus::UnlockResult Struct Reference

JUCE

Public Attributes | List of all members
OnlineUnlockStatus::UnlockResult Struct Reference
juce_product_unlocking » marketplace

This provides some details about the reply that the server gave in a call to attemptWebserverUnlock(). More...

`#include <juce_OnlineUnlockStatus.h>`

## Public Attributes
String | errorMessage
| If an unlock operation fails, this is the error message that the webserver supplied (or a message saying that the server couldn't be contacted) More...
String | informativeMessage
| This is a message that the webserver returned, and which the user should be shown. More...
String | urlToLaunch
| If the webserver wants the user to be directed to a web-page for further information, this is the URL that it would like them to go to. More...
bool | succeeded
| If the unlock operation succeeded, this will be set to true. More...

## Detailed Description

This provides some details about the reply that the server gave in a call to attemptWebserverUnlock().

## Member Data Documentation

## ◆ errorMessage

String OnlineUnlockStatus::UnlockResult::errorMessage

If an unlock operation fails, this is the error message that the webserver supplied (or a message saying that the server couldn't be contacted)

## ◆ informativeMessage

String OnlineUnlockStatus::UnlockResult::informativeMessage

This is a message that the webserver returned, and which the user should be shown.

It's not necessarily an error message, e.g. it might say that there's a new version of the app available or some other status update.

## ◆ urlToLaunch

String OnlineUnlockStatus::UnlockResult::urlToLaunch

If the webserver wants the user to be directed to a web-page for further information, this is the URL that it would like them to go to.

## ◆ succeeded

bool OnlineUnlockStatus::UnlockResult::succeeded

If the unlock operation succeeded, this will be set to true.

The documentation for this struct was generated from the following file:

- juce_OnlineUnlockStatus.h